TORRUS_SCHEDULERINFO(8)

NAME
schedulerinfo - Displays extended scheduler tasks information.

SYNOPSIS
torrus schedulerinfo --tree=TREENAME [options...]

DESCRIPTION
This utility displays the extended scheduler tasks information for tree TREENAME on standard output. This might be useful for scheduler planning and analysis.

OPTIONS

--config
    Reports scheduler's configuration. The values are explained below.

    Total collector/monitor leaves: N
        Total number of datasources being processed by collector or monitor daemon.

    Scheduled leaves by type
        Torrus supports arbitrary number of collector types, and this report shows how many datasources belong to every type. Currently the monitor leaves are not divided into types.

    Least common period: N seconds
        The report below shows how the tasks are distributed across the time line, and the least common period shows the period of this time line.

    Tasks execution timeline
        This report tells which task and how many datasources are involved in each task startup event, and how these events are dispersed across the time. The column Interval shows the time interval from each task execution event to the next event on the timeline.

--runtime
    Reports scheduler's runtime statistics, such as running cycle times, late starts etc. The meaning of the output values is as follows. Values that have zero values are usually not printed.

    Task: Name, Period: N seconds, Offset: M seconds
        Each scheduler task is characterized by its name (usually Collector or Monitor), period, and timeoffset. Fore example, if period is set to 300 seconds, and offset is 14 seconds, then the task would be executed at 00:00:14, 00:05:14, 00:10:14, and so on for every hour in a day.

    N running cycles passed
        How many times the task was executed since last reset. The counter is normally reset after torrus_compilexml(8) successfully compiles the configuration.

    N late starts
        How many times the task has started with a delay from its normal schedule.

    N too long runs
        How many times the task execution time was longer than its period.

    N overrun periods
        How many periods have been missed because of too long executions.

    N missed periods
        How many periods were missed because of any reason (such as other tasks delaying).

    Min, Max, Average, Exp Average
        The time values are displayed in four columns: Minimum, Maximum and Average values since last reset, and Exponential decay value, which may be interpreted as the average for last several values. With defaults defined in torrus-config.pl, 95% of the average is calculated from last 3 values.

    Running Time
        How long the task executes each period.

    Late Start
        How long the task start was delayed.

    Too Long
        How much time the too long run took.

    RRD Queue
        In a multithreaded environment, the RRD files are written in a background thread. This value shows the length of the RRD update queue at the beginning of each update cycle.

--help
    Displays a help message.

SEE ALSO
torrus(8), torrus_compilexml(8)

NOTES
See more documentation at Torrus home page: http://torrus.org

AUTHOR
Stanislav Sinyagin <ssinyagin@k-open.com>